<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>stlFilesWrapper &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>stlFilesWrapper
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 0.4% of total for derived types.</p>Including implementation: 4 statements,  0.0% of total for derived types.">4 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/immersedBoundary.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/immersedboundary.f03.html'>immersedBoundary.f03</a></li>
    
     <li><a href='../module/immersedboundary.html'>immersedBoundary</a></li>
    
  
     <li class="active">stlFilesWrapper</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/stlfileswrapper.html#variable-stlfile%7E2">STLFile</a>
      
      <a class="list-group-item" href="../type/stlfileswrapper.html#variable-stlsurface%7E2">STLSurface</a>
      
    </div>
  </div>
</div>





















</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public :: stlFilesWrapper</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~stlfileswrapper~~InheritsGraph Pages: 1 -->
<svg id="typestlfileswrapperInheritsGraph" width="279pt" height="74pt"
 viewBox="0.00 0.00 279.00 74.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~stlfileswrapper~~InheritsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 70)">
<title>type~~stlfileswrapper~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-70 275,-70 275,4 -4,4"/>
<!-- type~stlfileswrapper -->
<g id="type~~stlfileswrapper~~InheritsGraph_node1" class="node">
<title>type~stlfileswrapper</title>
<polygon fill="none" stroke="#000000" points="271,-45 185,-45 185,-21 271,-21 271,-45"/>
<text text-anchor="middle" x="228" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">stlFilesWrapper</text>
</g>
<!-- surface_stl_object -->
<g id="type~~stlfileswrapper~~InheritsGraph_node2" class="node">
<title>surface_stl_object</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="99,-66 0,-66 0,-42 99,-42 99,-66"/>
<text text-anchor="middle" x="49.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">surface_stl_object</text>
</g>
<!-- type~stlfileswrapper&#45;&gt;surface_stl_object -->
<g id="type~~stlfileswrapper~~InheritsGraph_edge2" class="edge">
<title>type~stlfileswrapper&#45;&gt;surface_stl_object</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M184.7901,-38.0835C162.119,-40.7507 133.9899,-44.06 109.2629,-46.9691"/>
<polygon fill="#000000" stroke="#000000" points="108.7818,-43.5014 99.2593,-48.146 109.5997,-50.4535 108.7818,-43.5014"/>
<text text-anchor="middle" x="142" y="-47.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">STLSurface</text>
</g>
<!-- file_stl_object -->
<g id="type~~stlfileswrapper~~InheritsGraph_node3" class="node">
<title>file_stl_object</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="88,-24 11,-24 11,0 88,0 88,-24"/>
<text text-anchor="middle" x="49.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">file_stl_object</text>
</g>
<!-- type~stlfileswrapper&#45;&gt;file_stl_object -->
<g id="type~~stlfileswrapper~~InheritsGraph_edge1" class="edge">
<title>type~stlfileswrapper&#45;&gt;file_stl_object</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M184.7576,-24.6867C178.8053,-23.6933 172.7607,-22.7628 167,-22 144.5001,-19.0205 119.4527,-16.7463 98.2834,-15.1252"/>
<polygon fill="#000000" stroke="#000000" points="98.4619,-11.6289 88.2309,-14.3816 97.9454,-18.6098 98.4619,-11.6289"/>
<text text-anchor="middle" x="142" y="-24.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">STLFile</text>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherited by</h3>
      </div>
      <div class="panel-body">
     <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~stlfileswrapper~~InheritedByGraph Pages: 1 -->
<svg id="typestlfileswrapperInheritedByGraph" width="232pt" height="32pt"
 viewBox="0.00 0.00 232.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~stlfileswrapper~~InheritedByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>type~~stlfileswrapper~~InheritedByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 228,-28 228,4 -4,4"/>
<!-- type~stlfileswrapper -->
<g id="type~~stlfileswrapper~~InheritedByGraph_node1" class="node">
<title>type~stlfileswrapper</title>
<polygon fill="none" stroke="#000000" points="86,-24 0,-24 0,0 86,0 86,-24"/>
<text text-anchor="middle" x="43" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">stlFilesWrapper</text>
</g>
<!-- type~flubioibm -->
<g id="type~~stlfileswrapper~~InheritedByGraph_node2" class="node">
<title>type~flubioibm</title>
<g id="a_type~~stlfileswrapper~~InheritedByGraph_node2"><a xlink:href=".././type/flubioibm.html" xlink:title="flubioIBM">
<polygon fill="#5cb85c" stroke="#5cb85c" points="224,-24 167,-24 167,0 224,0 224,-24"/>
<text text-anchor="middle" x="195.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioIBM</text>
</a>
</g>
</g>
<!-- type~flubioibm&#45;&gt;type~stlfileswrapper -->
<g id="type~~stlfileswrapper~~InheritedByGraph_edge1" class="edge">
<title>type~flubioibm&#45;&gt;type~stlfileswrapper</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M166.8159,-12C147.0493,-12 120.182,-12 96.5261,-12"/>
<polygon fill="#000000" stroke="#000000" points="96.2686,-8.5001 86.2686,-12 96.2686,-15.5001 96.2686,-8.5001"/>
<text text-anchor="middle" x="126.5" y="-14.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">ibSurfaces</text>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/stlfileswrapper.html#variable-stlfile%7E2">STLFile</a>
      
      <a class="list-group-item" href="../type/stlfileswrapper.html#variable-stlsurface%7E2">STLSurface</a>
      
    </div>
  </div>
</div>





















    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-stlfile%7E2"></span>type(file_stl_object),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>STLFile</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-stlsurface%7E2"></span>type(surface_stl_object),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>STLSurface</strong></td><td></td><td></td><td></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>